module.exports = {
  lintOnSave: false,
  publicPath: process.env.NODE_ENV === "production" ? "./" : "/",
  chainWebpack: (config) => {
    const svgRule = config.module.rule("svg");
    svgRule.uses.clear();
    svgRule
      .test(/\.svg$/)
      .use("svg-sprite-loader")
      .loader("svg-sprite-loader");
  },
  configureWebpack: {
    resolve: { extensions: [".ts", ".tsx", ".js", ".json"] },
    module: {
      rules: [
        {
          test: /\.ts?$/,
          loader: "ts-loader",
          exclude: /node_modules/,
          options: {
            appendTsSuffixTo: [/\.vue$/],
          },
        },
      ],
    },
  },
  productionSourceMap: false,
  devServer: {
    proxy: {
      "/proxyApi": {
        //   target: 'http://192.168.10.12:18001/hmit-api',
        // target: "http://192.168.10.4:10024/",
        target: "https://xcsq.zjhmit.com/api",
        changeOrigin: true,
        pathRewrite: {
          "^/proxyApi": "",
        },
        logLevel: "debug",
        onProxyRes(proxyRes, req, res) {
          console.log("Proxying response from:", req.path);
        },
      },
      "/img-original": {
        target: "https://xcsq.zjhmit.com",
        changeOrigin: true,

        logLevel: "debug",
        onProxyRes(proxyRes, req, res) {
          console.log("file:", req.path);
        },
      },
    },
    port: 8080,
  },
};
